Tco = 30;  %C
Tho = 120;  %C
Tkin = 130; %C

Vcs1 = 0.13e-2;  %m3/s
Vcs2 = 8.4e-2;  %m3/s
Vcs3 = .08e-2;  %m3/s
Vcs4 = 2.3e-2;  %m3/s
Vhs = 3e-1; %m3/s
Vks = 0.08; %m3/s

xs = 0.35; %split factor
xr = 1-xs; %rest flow from split

rhoh = 912.892;  %kg/m3
rhoc = 959.049;  %kg/m3
rhop = 950;      %kg/m3

cph = 4200;  %J/kg K
cpc = 4200;  %J/kg K
cpp = 4200; %J/kg K

Vh = 0.3;  %m3
Vc = 0.3;  %m3
Vp = 0.6;  %m3

h = 9796.98; %W/m2 K

Ar1 = 10; %m2
Ar2 = 125*100; %m2
Ar3 = 15; %m2
Ar4 = 100*100; %m2
Arp = 150*100; %m2

A1 = 1/Vc;
B1 = h * Ar1 / rhoc / Vc / cpc;
C1 = 1/Vh;
D1 = h * Ar1 / rhoh / Vh / cph;

A2 = 1/Vc;
B2 = h * Ar2 / rhoc / Vc / cpc;
C2 = 1/Vh;
D2 = h * Ar2 / rhoh / Vh / cph;

A3 = 1/Vc;
B3 = h * Ar3 / rhoc / Vc / cpc;
C3 = 1/Vh;
D3 = h * Ar3 / rhoh / Vh / cph;

A4 = 1/Vc;
B4 = h * Ar4 / rhoc / Vc / cpc;
C4 = 1/Vh;
D4 = h * Ar4 / rhoh / Vh / cph;

Ap = 1/Vp;
Bp = h * Arp / rhop / Vp / cpp;
Cp = 1/Vh;
Dp = h * Arp / rhoh / Vh / cph;

%sim('modelvarmeveksler3',[0 100])